Skip to main content
PATCH
/
groups
/
{public_id}
cURL
curl --request PATCH \
  --url https://sandbox.withclasp.com/groups/{public_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "group_number": "<string>",
  "carrier": "<string>",
  "employer": "<string>"
}
'
import requests

url = "https://sandbox.withclasp.com/groups/{public_id}"

payload = {
"group_number": "<string>",
"carrier": "<string>",
"employer": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({group_number: '<string>', carrier: '<string>', employer: '<string>'})
};

fetch('https://sandbox.withclasp.com/groups/{public_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "group_number": "<string>",
  "carrier": "<string>",
  "employer": "<string>",
  "id": "<string>"
}

Authorizations

Authorization
string
header
required

API Key authentication with required prefix "Bearer"

Path Parameters

public_id
string
required

Body

group_number
string
Maximum string length: 255
carrier
string
employer
string

Response

200 - application/json
group_number
string
required

Unique ID of the employer given by the carrier

Maximum string length: 255
carrier
string
required

ID of the carrier this group is associated with

employer
string
required

ID of the employer this group is associated with

id
string
read-only
Pattern: ^[-a-zA-Z0-9_]+$